For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a draft receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a draft receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)

Update a receivable

PATCH
/receivables/:receivable_id
PATCH
/v1/receivables/:receivable_id
$curl -X PATCH https://api.sandbox.monite.com/v1/receivables/receivable_id \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "quote": {}
>}'
1{
2 "type": "quote",
3 "counterpart_id": "counterpart_id",
4 "counterpart_type": "individual",
5 "created_at": "2024-01-15T09:30:00Z",
6 "currency": "AED",
7 "entity": {
8 "type": "organization",
9 "name": "name",
10 "email": "email",
11 "logo": "logo",
12 "phone": "phone",
13 "registration_authority": "registration_authority",
14 "registration_number": "registration_number",
15 "tax_id": "tax_id",
16 "vat_id": "vat_id",
17 "website": "website"
18 },
19 "entity_address": {
20 "city": "city",
21 "line1": "line1",
22 "postal_code": "postal_code",
23 "country": "AF",
24 "line2": "line2",
25 "state": "state"
26 },
27 "file_language": "ab",
28 "id": "id",
29 "line_items": [
30 {
31 "product": {
32 "id": "id",
33 "name": "name",
34 "price": {
35 "currency": "AED",
36 "value": 1
37 },
38 "price_after_vat": {
39 "currency": "AED",
40 "value": 1
41 },
42 "vat_rate": {
43 "country": "AF",
44 "value": 1,
45 "id": "id",
46 "components": [
47 {
48 "name": "name",
49 "value": 1.1
50 }
51 ],
52 "is_custom": true,
53 "name": "name"
54 },
55 "accounting_tax_rate_id": "accounting_tax_rate_id",
56 "description": "description",
57 "external_reference": "HT-1234-S-BL",
58 "is_inline": true,
59 "ledger_account_id": "ledger_account_id",
60 "measure_unit": {
61 "name": "name",
62 "id": "id",
63 "description": "description"
64 },
65 "smallest_amount": 1.1,
66 "type": "product"
67 },
68 "quantity": 1.1,
69 "total_after_vat": 1,
70 "total_before_vat": 1,
71 "discount": {
72 "amount": 1,
73 "type": "amount"
74 },
75 "tax_status": "taxable"
76 }
77 ],
78 "original_file_language": "ab",
79 "status": "draft",
80 "total_vat_amount": 1,
81 "updated_at": "2024-01-15T09:30:00Z",
82 "attachments": [
83 {
84 "id": "id",
85 "mimetype": "application/pdf",
86 "name": "timesheet.pdf",
87 "size": 120101,
88 "url": "https://bucketname.s3.amazonaws.com/path/to/timesheet.pdf",
89 "include_in_email": true
90 }
91 ],
92 "based_on": "based_on",
93 "based_on_document_id": "based_on_document_id",
94 "comment": "comment",
95 "commercial_condition_description": "commercial_condition_description",
96 "counterpart_billing_address": {
97 "city": "Berlin",
98 "country": "AF",
99 "line1": "Flughafenstrasse 52",
100 "postal_code": "10115",
101 "id": "id",
102 "line2": "line2",
103 "state": "state"
104 },
105 "counterpart_business_type": "counterpart_business_type",
106 "counterpart_contact": {
107 "address": {
108 "city": "Berlin",
109 "country": "AF",
110 "line1": "Flughafenstrasse 52",
111 "postal_code": "10115",
112 "id": "id",
113 "line2": "line2",
114 "state": "state"
115 },
116 "first_name": "Marge",
117 "last_name": "Smith",
118 "email": "marge@example.org",
119 "phone": "55512378654",
120 "title": "Dr."
121 },
122 "counterpart_external_reference": "counterpart_external_reference",
123 "counterpart_name": "counterpart_name",
124 "counterpart_shipping_address": {
125 "city": "Berlin",
126 "country": "AF",
127 "line1": "Flughafenstrasse 52",
128 "postal_code": "10115",
129 "id": "id",
130 "line2": "line2",
131 "state": "state"
132 },
133 "counterpart_tax_id": "counterpart_tax_id",
134 "counterpart_vat_id": {
135 "id": "id",
136 "counterpart_id": "counterpart_id",
137 "value": "123456789",
138 "country": "AF",
139 "type": "ae_trn"
140 },
141 "deductions": [
142 {
143 "amount": 1500,
144 "name": "Referral bonus",
145 "memo": "memo"
146 }
147 ],
148 "discount": {
149 "amount": 1,
150 "type": "amount",
151 "value": 1
152 },
153 "discounted_subtotal": 1,
154 "document_id": "document_id",
155 "document_rendering": {
156 "credit_note": {
157 "display_entity_bank_account": true
158 },
159 "display_entity_bank_account": true,
160 "display_line_items": true,
161 "invoice": {
162 "display_entity_bank_account": true
163 },
164 "line_items": {
165 "discount": {
166 "display": true,
167 "label": "label"
168 },
169 "measure_unit": {
170 "display": true,
171 "label": "label"
172 },
173 "name": {
174 "display": true,
175 "label": "label"
176 },
177 "price": {
178 "display": true,
179 "label": "label",
180 "precision": 1
181 },
182 "price_after_vat": {
183 "display": true,
184 "label": "label",
185 "precision": 1
186 },
187 "quantity": {
188 "display": true,
189 "label": "label"
190 },
191 "total_price": {
192 "display": true,
193 "label": "label",
194 "precision": 1
195 },
196 "total_price_after_vat": {
197 "display": true,
198 "label": "label",
199 "precision": 1
200 },
201 "vat_amount": {
202 "display": true,
203 "label": "label",
204 "precision": 1
205 },
206 "vat_rate": {
207 "display": true,
208 "label": "label",
209 "precision": 1
210 }
211 },
212 "quote": {
213 "display_entity_bank_account": true,
214 "display_signature": true
215 }
216 },
217 "due_date": "due_date",
218 "einvoice_file_url": "einvoice_file_url",
219 "entity_bank_account": {
220 "id": "id",
221 "account_holder_name": "account_holder_name",
222 "account_number": "account_number",
223 "bank_name": "bank_name",
224 "bic": "bic",
225 "iban": "iban",
226 "routing_number": "routing_number",
227 "sort_code": "sort_code"
228 },
229 "entity_user_id": "entity_user_id",
230 "entity_vat_id": {
231 "id": "id",
232 "country": "AF",
233 "entity_id": "entity_id",
234 "value": "123456789",
235 "type": "ae_trn"
236 },
237 "expiry_date": "expiry_date",
238 "file_url": "file_url",
239 "footer": "footer",
240 "issue_date": "2024-01-15T09:30:00Z",
241 "memo": "memo",
242 "original_file_url": "original_file_url",
243 "partner_metadata": {
244 "key": "value"
245 },
246 "project_id": "project_id",
247 "quote_accept_page_url": "quote_accept_page_url",
248 "signature_required": true,
249 "subtotal": 1,
250 "subtotal_after_vat": 1,
251 "tags": [
252 {
253 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
254 "created_at": "2022-09-07T16:35:18Z",
255 "updated_at": "2022-09-07T16:35:18Z",
256 "name": "Marketing",
257 "category": "document_type",
258 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
259 "description": "Tag for the Marketing Department"
260 }
261 ],
262 "total_amount": 1,
263 "total_deduction_amount": 1,
264 "total_vat_amounts": [
265 {
266 "amount": 1,
267 "taxable_amount": 1,
268 "value": 1,
269 "id": "id",
270 "components": [
271 {
272 "amount": 1,
273 "name": "name",
274 "value": 1.1
275 }
276 ],
277 "name": "name"
278 }
279 ],
280 "total_withholding_tax": 1,
281 "trade_name": "trade_name",
282 "vat_exempt": true,
283 "vat_exemption_rationale": "vat_exemption_rationale",
284 "vat_inclusive_discount_mode": "exclusive",
285 "vat_mode": "exclusive",
286 "withholding_tax_rate": 1,
287 "deduction_amount": 1500,
288 "deduction_memo": "deduction_memo"
289}
You can update: * draft invoices, quotes, and credit notes, * invoice template for recurring invoices, * certain details in already issued invoices (use the `issued_invoice` envelope instead of the `invoice` envelope). To update the line items in an invoice or a quote, use `PUT /receivables/{receivable_id}/line_items` instead.
Was this page helpful?
Previous

Update the line items of a receivable

Next
Built with

You can update:

  • draft invoices, quotes, and credit notes,
  • invoice template for recurring invoices,
  • certain details in already issued invoices (use the issued_invoice envelope instead of the invoice envelope).

To update the line items in an invoice or a quote, use PUT /receivables/{receivable_id}/line_items instead.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired
ID of an existing invoice, quote, or credit note that you want to update.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
objectRequired
OR
objectRequired
OR
objectRequired
OR
objectRequired

Response

Successful Response
quoteobject
OR
invoiceobject
OR
credit_noteobject

Errors

400
Patch Receivables ID Request Bad Request Error
401
Patch Receivables ID Request Unauthorized Error
403
Patch Receivables ID Request Forbidden Error
404
Patch Receivables ID Request Not Found Error
409
Patch Receivables ID Request Conflict Error
422
Patch Receivables ID Request Unprocessable Entity Error
429
Patch Receivables ID Request Too Many Requests Error